\begin{luacode}
	dofile("macros.lua")
\end{luacode}

\newcommand{\juliaBlockToConsole}[1]{\luaexec{
	tex.sprint('\\begin{juliablock}#1\\end{juliablock}')
	tex.sprint('\\begin{juliaconcode}#1\\end{juliaconcode}')
}}

\newcommand\lua[1]{\luaexec{#1}}
	
\newcommand{\codeSnippet}[2]{\luaexec{read_as_snippet('#1', '#2')}}

\newcommand{\tryshow}[2]{
	\IfFileExists{#1}{
		\includegraphics[#2]{#1}
	}{}
}

\newcommand{\tryinclude}[1]{
	\IfFileExists{#1}{
		\include{#1}
	}{}
}

\newcommand{\tryinput}[1]{
	\IfFileExists{#1}{
		\input{#1}
	}{}
}

\newcommand\saveAndPlot[3]{\luaexec{
	tex.sprint('\\juliac{save("#1/#2.pdf", #3)}')
	tex.sprint('\\tryshow{#1/#2.pdf}{}')
}}
\newcommand\SaveAndPlot[4]{\luaexec{
	tex.sprint('\\juliac{save("#1/#2.pdf", #3)}')
	tex.sprint('\\tryshow{#1/#2.pdf}{#4}')
}}